Subject: bug#62578: 30.0.50; [PATCH] Add regression tests for synchronous processes in Eshell

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Apr 2023 10:22:22 +0300

> Date: Sat, 1 Apr 2023 00:16:38 -0700
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> Since these tests are meant to check the "synchronous subprocess" code 
> in Eshell on non-MS-DOS platforms, I'd say it's ok. However, I can 
> change my patch if you prefer. I could either:
> 
> 1) Add a comment to the tests explaining that they're just meant to 
> simulate some of MS-DOS's limitations on non-MS-DOS systems, or
> 
> 2) Rework these tests so they work the same on both MS-DOS and other 
> systems.
> 
> Personally, I lean softly towards (1), partly because the Eshell test 
> suite probably breaks in quite a few other places on MS-DOS anyway. 
> However, it shouldn't be too hard to do (2) instead.
> 
> What do you think?

I don't understand why not use Emacs instead of all those external
commands.  That solves all the problems nicely and portably, and still
allows you to do anything you want.

But it's your call, eventually.